#include <iostream>
#include <string>
using namespace std;
int spielzugpruefung(int staebe[3][4], int usereingaben[]){
    int x = 0;
    int temp[2];
    return x;
}
void druck(int staebe[3][4]){
    cout <<"A";
    string labels[4] = {"      ||   " , "     <==>  ", "    <====> ", "   <======>"};
    for(int x = 3; x >= 0; x--){
        for(int y = 0; y < 3; y++){
            cout << labels[staebe[y][x]];
        }
        cout << endl;
    }
}

int main(){
    bool run;
    int usereingaben[2];
    int staebe[3][4]; 
    staebe[0][0] = 3;
    staebe[0][1] = 2;
    staebe[0][2] = 1;
    staebe[0][3] = 0;
    for(int x = 0; x < 2; x++){
        for(int y = 0; y < 4; y++){
            staebe[x][y] = 0;
        }
    }
    druck(staebe);
    do{
        for(int x = 0; x < 2; x++){
           run = true;
            do{
                cin >> usereingaben[x];
                if(usereingaben[x] < 4 && usereingaben[x] > 0){
                    run = false;
                }
                else{
                    cout << "ERROR" <<endl;
                }
            }while(run); 
        }
        run = spielzugpruefung(staebe, usereingaben);
        if(run){
            cout << "Erfolgreich" << endl;
        }
        else{
            cout << "ERROR.."<< endl;
        }
    }while(run == false);
}